.ic-videohud-div {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.25s ease-in-out;
}

.ic-videohud-icon-div {
    background-color: #000;
    padding: 0px;
    transition: transform 0.3s ease-in-out;
    padding: 3.5rem;
}

.ic-videohud-icon {
    top: 0.5;
    left: 0.5;
    position: absolute;
    font-family: 'ICIcons';
    color: #fa3c3c;
    font-size: 6rem;
    margin: 0;
    user-select: none;
    z-index: 3;
    transition: transform 0.25s cubic-bezier(.68,-0.55,.27,1.55)
}

.ic-videohud-div:hover > .ic-videohud-icon-div {
    transform: rotate(135deg);
}

.ic-videohud-div:hover > .ic-videohud-icon {
    transform: scale(1.4);
}

@media screen and (min-width: 767px) {
    .ic-videohud-icon-div {
        padding: 3rem;
    }

    .ic-videohud-icon {
        font-size: 5rem;
    }
}

@media screen and (min-width: 1024px) {
    .ic-videohud-icon-div {
        padding: 4.5rem;
    }

    .ic-videohud-icon {
        font-size: 7rem;
    }
}
